cURL
curl --request PATCH \
--url https://us.infisical.com/api/v1/app-connections/azure-client-secrets/{connectionId} \
--header 'Content-Type: application/json' \
--data '
{
"credentials": {
"code": "<string>",
"tenantId": "<string>"
},
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": false,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": true,
"rotation": {
"rotationInterval": 183
}
}
'import requests
url = "https://us.infisical.com/api/v1/app-connections/azure-client-secrets/{connectionId}"
payload = {
"credentials": {
"code": "<string>",
"tenantId": "<string>"
},
"name": "<string>",
"description": "<string>",
"isPlatformManagedCredentials": False,
"gatewayId": "<unknown>",
"gatewayPoolId": "<unknown>",
"isAutoRotationEnabled": True,
"rotation": { "rotationInterval": 183 }
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
credentials: {code: '<string>', tenantId: '<string>'},
name: '<string>',
description: '<string>',
isPlatformManagedCredentials: false,
gatewayId: '<unknown>',
gatewayPoolId: '<unknown>',
isAutoRotationEnabled: true,
rotation: {rotationInterval: 183}
})
};
fetch('https://us.infisical.com/api/v1/app-connections/azure-client-secrets/{connectionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appConnection": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"app": "azure-client-secrets",
"method": "oauth",
"credentials": {
"tenantId": "<string>"
},
"description": "<string>",
"version": 1,
"isPlatformManagedCredentials": false,
"gatewayId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "<string>",
"isAutoRotationEnabled": false,
"gatewayPoolId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rotation": {
"rotationInterval": 123,
"rotateAtUtc": {
"hours": 123,
"minutes": 123
},
"lastRotationMessage": "<string>",
"nextRotationAt": "2023-11-07T05:31:56Z"
},
"credentialsHash": "<string>",
"project": {
"name": "<string>",
"id": "<string>",
"type": "<string>",
"slug": "<string>"
}
}
}{
"reqId": "<string>",
"statusCode": 400,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 401,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 403,
"message": "<string>",
"error": "<string>",
"details": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 404,
"message": "<string>",
"error": "<string>"
}{
"reqId": "<string>",
"statusCode": 422,
"error": "<string>",
"message": "<unknown>"
}{
"reqId": "<string>",
"statusCode": 500,
"message": "<string>",
"error": "<string>"
}Azure Client Secret
Update
Update the specified Azure Client Secrets Connection.
PATCH
/
api
/
v1
/
app-connections
/
azure-client-secrets
/
{connectionId}
cURL
Secret Connections must be updated through the Infisical UI.
Check out the configuration docs for Azure Client Secret Connections for a step-by-step
guide.
Path Parameters
The ID of the Azure Client Secrets Connection to be updated.
Body
application/json
The credentials used to connect with Azure Client Secrets.
- Option 1
- Option 2
- Option 3
Show child attributes
Show child attributes
The updated name of the Azure Client Secrets Connection. Must be slug-friendly.
Required string length:
1 - 64The updated description of the Azure Client Secrets Connection.
Maximum string length:
256Not supported for Azure Client Secrets Connections.
Available options:
false Not supported for Azure Client Secrets Connections.
Not supported for Azure Client Secrets Connections.
Whether or not automatic credential rotation is enabled for the Azure Client Secrets Connection.
The updated credential rotation configuration for the Azure Client Secrets Connection.
Show child attributes
Show child attributes
Response
Default Response
- Azure Client Secrets (OAuth)
- Azure Client Secrets (Client Secret)
- Azure Client Secrets (Certificate)
Show child attributes
Show child attributes
Was this page helpful?
⌘I